Retrieves an object of the specified key if belongs to a static category (like Company,Project,...)

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

db_info
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the db_info (Chapter name)

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sequence

Sorting field (0 first), to order them

integer
db_info_category_id

Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type

globally unique identifier
db_info_category_code

Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields

string

Required

parent_id

Parent Db_info (chapter) (Parent / Child)

globally unique identifier
parent_db_info_code

Embedded entity "db_info" for parent using ERP PK when adding/updating db_info

string
parent_db_info

Embedded entity "db_info" for parent when adding/updating db_info

db_info
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "b450640a-4d36-4e1e-982f-b191a7c1cd2a",
  "name": "sample string 2",
  "code": "sample string 3",
  "sequence": 4,
  "db_info_category_id": "6326ff03-d15d-4ebc-97c8-7308c94da2ca",
  "db_info_category_code": "sample string 6",
  "parent_id": "7f30da42-3b53-41a3-984c-13ecc82b4e56",
  "parent_db_info_code": "sample string 8",
  "modified_dateutc": "2026-08-09T04:02:14.5923995+00:00"
}